﻿using BepInEx;
using UnboundLib;
using UnboundLib.Cards;
using BS.Cards;
using HarmonyLib;
using UnboundLib.Utils;
using CardChoiceSpawnUniqueCardPatch.CustomCategories;
using UnityEngine;
using Jotunn.Utils;

namespace BS
{
    [BepInDependency("com.willis.rounds.unbound", BepInDependency.DependencyFlags.HardDependency)]
    [BepInDependency("pykess.rounds.plugins.moddingutils", BepInDependency.DependencyFlags.HardDependency)]
    [BepInDependency("pykess.rounds.plugins.cardchoicespawnuniquecardpatch", BepInDependency.DependencyFlags.HardDependency)]
    [BepInPlugin(ModId, ModName, Version)]
    [BepInProcess("Rounds.exe")]
    public class BS : BaseUnityPlugin
    {
        private const string ModId = "BS";
        private const string ModName = "BSMOD";
        public const string Version = "6.6.6";
        public const string ModInitials = "BS";
        internal static AssetBundle ArtAsset;
        public static BS instance { get; private set; }

        void Awake()
        {
            var harmony = new Harmony(ModId);
            harmony.PatchAll();
        }
        void Start()
        {
            CustomCard.BuildCard<Brimstone>();
            instance = this;
            ArtAsset = AssetUtils.LoadAssetBundleFromResources("brart", typeof(BS).Assembly);
            if (ArtAsset == null)
            {
                UnityEngine.Debug.LogError("penmis");
            }
        }
    }
}
